*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body{
    background: #070014;
    color: white;
    min-height: 100vh;
    overflow-x: hidden;
}

/* Background Glow */
body::before{
    content: "";
    position: fixed;
    width: 500px;
    height: 500px;
    background: #9c0310;
    border-radius: 50%;
    filter: blur(150px);
    top: -100px;
    left: -100px;
    opacity: 0.3;
}

/* Header */
header{
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 0.5rem 15%;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

.logo{
    font-size: 20px;
    margin-bottom: 30px;
    color: #f1dfff;
    text-shadow: 0 0 20px #9c0310;
}

nav{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 25px;
}

nav a{
    font-size: 14px;
    margin-left: 4rem;
    color: #9c0310;
    text-decoration: none;
    letter-spacing: 2px;
    transition: 0.3s;
    border-bottom: 3px solid transparent;
}

nav a:hover{
    color:#c41a28;
    border-bottom: 3px solid #b8232f;
}

/* Hero */
.hero{
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
}

/* Welcome Box */
.welcome{
    border: 2px solid#9c0310;
    padding: 18px 40px;
    border-radius: 50px;
    margin-bottom: 40px;
    color: #9c0310;
    font-weight: bold;
    letter-spacing: 4px;
    box-shadow: 0 0 20px #9c0310;
}

/* Main Text */
.hero h1{
    font-size: 75px;
    line-height: 1.1;
    color: white;
    text-shadow: 
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/* Small Line */
.line{
    width: 100px;
    height: 3px;
    background:#9c0310;
    margin: 30px 0;
    border-radius: 10px;
}

/* Paragraph */
.hero p{
    font-size: 24px;
    color: #d4bfff;
    margin-bottom: 50px;
    letter-spacing: 2px;
}

/* Button */
button{
    padding: 25px 80px;
    border: none;
    border-radius: 50px;
    font-size: 24px;
    font-weight: bold;
    color: white;
    cursor: pointer;
    background: linear-gradient(to right, #9c0310,#bd1c2a);
    box-shadow: 0 0 30px #9c0310;
    transition: 0.3s;
}

button:hover{
    transform: scale(1.05);
}

/* Responsive */
@media(max-width:768px){

    .hero h1{
        font-size: 50px;
    }

    .hero p{
        font-size: 18px;
    }

    button{
        width: 100%;
        font-size: 18px;
        padding: 20px;
    }

    nav{
        gap: 15px;
    }
}
/* ABOUT SECTION */

.about-section{
    padding: 100px 50px;
    color: white;
}

/* Small Top Text */
.section-title{
    color: #9c0310;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.about-section h2{
    font-size: 70px;
    margin-bottom: 20px;
    color: white;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/* Purple Line */
.small-line{
    width: 100px;
    height: 4px;
    background: #9c0310;
    border-radius: 20px;
    margin-bottom: 50px;
}

/* Box */
.about-box{
    width: 100%;
    max-width: 750px;

    background: rgba(255,255,255,0.03);

    border: 1px solid rgba(255,255,255,0.1);

    padding: 50px;

    border-radius: 40px;

    backdrop-filter: blur(10px);

    box-shadow:
    0 0 30px #9c0310;

}

/* Text */
.about-box p{
    font-size: 24px;
    line-height: 2;
    color: #e6d9ff;
}

/* Mobile Responsive */
@media(max-width:768px){

    .about-section{
        padding: 70px 25px;
    }

    .about-section h2{
        font-size: 50px;
    }

    .about-box{
        padding: 30px;
        border-radius: 25px;
    }

    .about-box p{
        font-size: 18px;
        line-height: 1.8;
    }

}
/* PRIMARY SECTION */

.primary-section{
    padding: 100px 50px;
    color: white;
}

/* Small Top Text */
.section-title{
    color: #9c0310;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.primary-section h2{
    font-size: 70px;
    margin-bottom: 20px;
    color: white;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/*  Line */
.small-line{
    width: 100px;
    height: 4px;
    background: #9c0310;
    border-radius: 20px;
    margin-bottom: 50px;
}

/* Box */
.primary-box{
    width: 100%;
    max-width: 750px;

    background: rgba(255,255,255,0.03);

    border: 1px solid rgba(255,255,255,0.1);

    padding: 50px;

    border-radius: 40px;

    backdrop-filter: blur(10px);

    box-shadow:
    0 0 30px #9c0310;

}

/* Text */
.primary-box p{
    font-size: 24px;
    line-height: 2;
    color: #e6d9ff;
}

/* Mobile Responsive */
@media(max-width:768px){

    .primary-section{
        padding: 70px 25px;
    }

    .primary-section h2{
        font-size: 50px;
    }

    .primary-box{
        padding: 30px;
        border-radius: 25px;
    }

    .primary-box p{
        font-size: 18px;
        line-height: 1.8;
    }

}
/* SECONDARY SECTION */

.secondary-section{
    padding: 100px 50px;
    color: white;
}

/* Small Top Text */
.section-title{
    color: #9c0310;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.secondary-section h2{
    font-size: 70px;
    margin-bottom: 20px;
    color: white;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/*  Line */
.small-line{
    width: 100px;
    height: 4px;
    background: #9c0310;
    border-radius: 20px;
    margin-bottom: 50px;
}

/* Box */
.secondary-box{
    width: 100%;
    max-width: 750px;

    background: rgba(255,255,255,0.03);

    border: 1px solid rgba(255,255,255,0.1);

    padding: 50px;

    border-radius: 40px;

    backdrop-filter: blur(10px);

    box-shadow:
    0 0 30px #9c0310;

}

/* Text */
.secondary-box p{
    font-size: 24px;
    line-height: 2;
    color: #e6d9ff;
}

/* Mobile Responsive */
@media(max-width:768px){

    .secondary-section{
        padding: 70px 25px;
    }

    .secondary-section h2{
        font-size: 50px;
    }

    .secondary-box{
        padding: 30px;
        border-radius: 25px;
    }

    .secondary-box p{
        font-size: 18px;
        line-height: 1.8;
    }

}
/* SIWES SECTION */

.siwes-section{
    padding: 100px 50px;
    color: white;
}

/* Small Top Text */
.section-title{
    color: #9c0310;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.siwes-section h2{
    font-size: 70px;
    margin-bottom: 20px;
    color: white;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/*  Line */
.small-line{
    width: 100px;
    height: 4px;
    background: #9c0310;
    border-radius: 20px;
    margin-bottom: 50px;
}

/* Box */
.siwes-box{
    width: 100%;
    max-width: 750px;

    background: rgba(255,255,255,0.03);

    border: 1px solid rgba(255,255,255,0.1);

    padding: 50px;

    border-radius: 40px;

    backdrop-filter: blur(10px);

    box-shadow:
    0 0 30px #9c0310;

}

/* Text */
.siwes-box p{
    font-size: 24px;
    line-height: 2;
    color: #e6d9ff;
}

/* Mobile Responsive */
@media(max-width:768px){

    .siwes-section{
        padding: 70px 25px;
    }

    .siwes-section h2{
        font-size: 50px;
        padding-right: 30px;
    }

    .siwes-box{
        padding: 30px;
        border-radius: 25px;
    }

    .siwes-box p{
        font-size: 18px;
        line-height: 1.8;
    }

}
/* SKILLS SECTION */

.skills-section{
    padding: 100px 50px;
    color: white;
}

/* Small Top Text */
.skills-title{
    color: #cc303d;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.skills-section h2{
    font-size: 70px;
    margin-bottom: 20px;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #c9333f;
}

/* Purple Line */
.skills-line{
    width: 100px;
    height: 4px;
    background:#9c0310;
    border-radius: 20px;
    margin-bottom: 60px;
}

/* Skills Layout */
.skills-container{
    display: flex;
    flex-wrap: wrap;
    gap: 25px;
}

/* Skill Box */
.skill-box{
    padding: 30px 50px;

    background: rgba(255,255,255,0.05);

    border: 1px solid #9c0310;

    border-radius: 40px;

    font-size: 28px;
    color: #f1e6ff;

    backdrop-filter: blur(10px);

    box-shadow:
   #9c0310;

    transition: 0.3s;
}

/* Hover Effect */
.skill-box:hover{
    transform: translateY(-5px);
    box-shadow:
    0 0 30px #9c0310;
}

/* Mobile Responsive */
@media(max-width:768px){

    .skills-section{
        padding: 70px 25px;
    }

    .skills-section h2{
        font-size: 50px;
    }

    .skill-box{
        width: 100%;
        text-align: center;
        font-size: 22px;
        padding: 25px;
    }

}

/* CONTACT SECTION */

.contact{
    padding: 100px 30px;
}

/* Top Small Text */
.top-text{
    color: #9c0310;
    letter-spacing: 5px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Main Heading */
.contact h1{
    font-size: 70px;

    text-shadow:
    0 0 10px #fff,
    0 0 25px #9c0310;
}

/* Underline */
.underline{
    width: 100px;
    height: 4px;
    background: #9c0310;
    border-radius: 20px;
    margin-top: 20px;
    margin-bottom: 50px;
}

/* Contact Card */
.contact-card{

    background: rgba(255,255,255,0.04);

    border: 1px solid rgba(255,255,255,0.1);

    border-radius: 40px;

    padding: 50px 35px;

    backdrop-filter: blur(10px);

    box-shadow:
    0 0 30px #9c0310;

    max-width: 750px;
}

/* Description */
.description{
    font-size: 25px;
    line-height: 1.8;
    color: #e5d7ff;

    margin-bottom: 40px;
}

/* Emoji */
.emoji{
    font-size: 50px;
    margin-bottom: 40px;
}

/* Contact Boxes */
.box{
    display: flex;
    align-items: center;
    gap: 20px;

    background: rgba(255,255,255,0.03);

    border: 1px solid #9c0310;

    padding: 25px;

    border-radius: 25px;

    margin-bottom: 25px;

    transition: 0.3s;
}

/* Hover */
.box:hover{
    transform: translateY(-5px);

    box-shadow:
    0 0 20px #9c0310;
}

/* Icons */
.icon{
    width: 60px;
    height: 60px;

    background: #9c0310;

    display: flex;
    justify-content: center;
    align-items: center;

    border-radius: 20px;

    font-size: 28px;
}

/* Titles */
.box h3{
    color: white;
    margin-bottom: 5px;
    letter-spacing: 2px;
}

/* Text */
.box span{
    color: #d5c2ff;
    font-size: 18px;
}

/* MOBILE */
@media(max-width:768px){

    .contact{
        padding: 70px 20px;
    }

    .contact h1{
        font-size: 50px;
    }

    .description{
        font-size: 20px;
    }

    .box{
        flex-direction: row;
        align-items: center;
    }

}
.footer{
    background: #0f0f0f;
    color: #fff;
    padding: 50px 20px 20px;
    margin-top: 60px;
}

.footer-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.footer-box h3{
    margin-bottom: 15px;
    color: #9c0310;
}

.footer-box p,
.footer-box a{
    color: #ccc;
    font-size: 14px;
    text-decoration: none;
    display: block;
    margin-bottom: 8px;
}

.footer-box a:hover{
    color: #9c0310;
}

.bottom{
    text-align: center;
    margin-top: 30px;
    border-top: 1px solid #222;
    padding-top: 15px;
    font-size: 13px;
    color: #888;
}

/* Responsive */
@media(max-width:768px){
    .footer-container{
        grid-template-columns: 1fr;
        text-align: center;
    }
}